Join Object
================
--------------------

Biblioteca simples para juntar as propriedades de dois objetos ou mais. Atua adicionando ou substituindo no primeiro objeto informado as propriedades dos seguintes.

## Instalação ##
---

```
$ npm install join-object
```

## Importação ##
---
```JS
var joiner = require("join-object");

```

## Uso ##
---

Basta passar dos objetos para a função _.join_ sendo que as primeiras propriedades serão mantidas caso não sejam sobrescritas e as próximas adicionadas, veja no exemplo:

```JS

var joiner = require("join-object");

var defaultConfig = {
    server: {
        ip: '192.168.1.12',
        port: "25"
    },
    db: {
        port: 30,
        url: "http://ioda.master.com"
    }
}

var productionConfig = {
    server: {
        ip : "200.1.33.3",
        port: "50"
    },
    siteName: "Ipsum",
    db: {
        url: "http://luke.darthvader.com"
    }
    
}

console.log(joiner.join(defaultConfig, produtionConfig));


```

O código acima retorna o seguinte:

```
{
    server: {
        ip: '200.1.33.3',
        port: '50'
    },
    db: {
        url: 'http://luke.darthvader.com'
    },
    siteName: 'Ipsum'
}

```

## Change log ##

>   Fri Nov 15 12:45:19 2013

>   * versao inicial
